Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne.dataview
Class DOComboBoxModel

    java.lang.Object
      javax.swing.AbstractListModel
          org.objectstyle.cayenne.dataview.DOListModel
              org.objectstyle.cayenne.dataview.DOComboBoxModel

All Implemented Interfaces:
  java.io.Serializable, java.util.EventListener, javax.swing.ComboBoxModel, javax.swing.ListModel, DataObjectChangeListener, FieldValueChangeListener

    public class DOComboBoxModel

extends DOListModel
implements javax.swing.ComboBoxModel

A ComboBoxModel to display DataObjects.

Since:
  1.1
Author:
  Andriy Shapochka
See Also:
  Serialized Form

Field Summary
`protected DataObject` | `selectedObject`

Fields inherited from class org.objectstyle.cayenne.dataview.DOListModel
`dataObjects, viewField`

Fields inherited from class javax.swing.AbstractListModel
`listenerList`

Constructor Summary
`DOComboBoxModel()`

Method Summary
`DataObject` | `getSelectedDataObject()`
`java.lang.Object` | `getSelectedItem()`
`void` | `setSelectedDataObject(DataObject dataObject)`
`void` | `setSelectedItem(java.lang.Object selectedValue)`

Methods inherited from class org.objectstyle.cayenne.dataview.DOListModel
`dataChanged, fieldValueChanged, getDataObject, getDataObjects, getElementAt, getSize, getViewField, setDataObjects, setViewField`

Methods inherited from class javax.swing.AbstractListModel
`addListDataListener, fireContentsChanged, fireIntervalAdded, fireIntervalRemoved, getListDataListeners, getListeners, removeListDataListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.ListModel
`addListDataListener, getElementAt, getSize, removeListDataListener`

Field Detail

### selectedObject

    protected DataObject selectedObject

Constructor Detail

### DOComboBoxModel

    public DOComboBoxModel()

Method Detail

### setSelectedDataObject

    public void setSelectedDataObject(DataObject dataObject)

### getSelectedDataObject

    public DataObject getSelectedDataObject()

### setSelectedItem

    public void setSelectedItem(java.lang.Object selectedValue)

  Specified by:
    `setSelectedItem` in interface `javax.swing.ComboBoxModel`

### getSelectedItem

    public java.lang.Object getSelectedItem()

  Specified by:
    `getSelectedItem` in interface `javax.swing.ComboBoxModel`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.